curl --request GET \
--url https://api.bridge.xyz/v0/rfis/{rfiID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rfis/{rfiID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rfis/{rfiID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state": "on_developer",
"type": "Compliance Alert - EFE 1PP",
"developer_id": "dev_2p6ipnn5b7x7xrpn97fljzt6",
"customer_id": "cust_c6ednm25xanjrx1yzz5s4t8n",
"referent_id": "transfer_hmyt7lyjqr0h39s5g87lo0jn",
"referent_type": "transfer",
"context": {
"amount_display": "$1,000.00",
"currency_display": "USD",
"transaction_date": "2026-08-01",
"sender_name": "Jane Doe"
},
"bridge_action_taken": null,
"expected_action_on_expiry": "pause_customer",
"deadline": "2026-08-15T00:00:00.000Z",
"requested_items": [
{
"name": "source_of_funds_text",
"display_text": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract).",
"response_type": "text"
},
{
"name": "source_of_funds_attachment",
"display_text": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract).",
"response_type": "attachment"
}
],
"dashboard_url": "https://dashboard.bridge.xyz/rfis/rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state_changed_at": "2026-08-01T00:00:00.000Z",
"created_at": "2026-08-01T00:00:00.000Z",
"closed_at": null
}Get an RFI
Retrieve a single request for information (RFI) by id
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Response
Successful RFI response
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*The current state of the RFI
on_developer, on_bridge, closed A developer-facing name describing the kind of request being made
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*The time by which a response to this RFI is expected
The items Bridge is asking the developer to provide for this RFI. A question that asks for both a narrative and supporting documents is split into two items sharing a base name, suffixed _text and _attachment
Show child attributes
Show child attributes
A link to view and respond to this RFI in the Bridge dashboard
Time of creation of the RFI
The customer this RFI is associated with, if any
1 - 42[a-z0-9]*The id of the record (transfer, drain, deposit, or card account) this RFI relates to, if any. Resolve it against the endpoint named by referent_type
The type of record that referent_id refers to
transfer, drain, deposit, card_account Transaction and counterparty facts this RFI is about, keyed by field name. The set of keys present varies by RFI template - fields without a value for this RFI are omitted rather than set to null. May contain personally-identifiable information (customer name/email, IBANs, counterparty names). The properties below are the most common keys; other template-specific string keys may also be present.
Show child attributes
Show child attributes
An action Bridge has already taken as a result of this RFI, if any
customer_paused, transaction_paused The action Bridge expects to take if this RFI expires without a response, if any
pause_customer The time the RFI's state last changed
The time the RFI was closed, if it has been
Was this page helpful?
